%define name xoscope
%define ver 1.6
%define rel 6mdk

Summary: A digital oscilloscope program for your sound card.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Sciences/Physics
BuildRequires: XFree86-devel audiofile-devel esound-devel svgalib-devel
Source0: oscope-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot 
Exclusivearch: %{ix86}

%description

x*oscope is a digital oscilloscope that uses a sound card and/or Radio Shack
ProbeScope (Cat. No. 22-310) as the signal input.  Either or both devices may
be used simultaneously." Includes memory functions, and many of the other
features you expect of a digital oscope.

Includes svga and GTK+ versions. An athena version can also be built, but
is not included in this package.

%prep 

printenv
%setup -n oscope-${RPM_PACKAGE_VERSION}

%build
perl -pi -e "s,-m486 -O3,$RPM_OPT_FLAGS," Makefile
make 

%install
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_libdir}/oscope,%{_mandir}/man1,%{_menudir}}
for i in oscope xoscope; do
	install -m 755 $i $RPM_BUILD_ROOT/%{_bindir}
done

	install -m 755 offt operl xy $RPM_BUILD_ROOT/%{_libdir}/oscope
	install -m 644 ofreq.ini $RPM_BUILD_ROOT/%{_libdir}/oscope

for i in oscope.1 xoscope.1; do
	install -m 644 $i $RPM_BUILD_ROOT/%{_mandir}/man1
done

# Menu entry
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(xoscope): title="xoscope" command="xoscope" icon="xoscope.xpm" needs="x11" longtitle="Digital Oscilloscope" section="Applications/Sciences/Physics"
EOF

# mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,755)
%doc README README.f51 ChangeLog COPYING TODO HARDWARE
%doc buff.fig buff.ps buff2.fig buff2.ps audio.dat proscope.dat oscope.dat
%{_mandir}/man1/*
%{_libdir}/oscope
%{_bindir}/*
%{_menudir}/xoscope
%{_iconsdir}

%changelog
* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 1.6-6mdk
- force icons to appear.
- more macrozif..
- embedded menu

* Fri Oct 06 2000 Francis Galiegue <fg@mandrakesoft.com> 1.6-5mdk

- Icons from ln

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 1.6-4mdk

- More macros
- Some spec file fixes

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 1.6-3mdk
- rebuilt with _mandir macro

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.6-2mdk
- automatically added BuildRequires

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.6-1mdk
- Update to 1.6
- Menu entry

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v1.5
